Render template preview
Renders a saved template with optional default vars, contact vars, and explicit variable overrides.
POST
/
client
/
email-templates
/
{id}
/
render-preview
Render template preview
curl --request POST \
--url https://api.mailerpath.com/api/v1/client/email-templates/{id}/render-preview \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"contact_id": 123,
"include_default_vars": true,
"vars": {}
}
'import requests
url = "https://api.mailerpath.com/api/v1/client/email-templates/{id}/render-preview"
payload = {
"contact_id": 123,
"include_default_vars": True,
"vars": {}
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({contact_id: 123, include_default_vars: true, vars: {}})
};
fetch('https://api.mailerpath.com/api/v1/client/email-templates/{id}/render-preview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"contact_id": 123,
"html_body": "<string>",
"include_default_vars": true,
"preview_text": "<string>",
"resolved_vars": {},
"subject": "<string>",
"template_id": 123,
"text_body": "<string>"
},
"errors": [
{
"condition": "format",
"error": "Invalid email format",
"key": "email"
}
],
"message": "Operation successful",
"meta": {},
"success": true
}{
"data": {},
"errors": [
{
"condition": "format",
"error": "Invalid email format",
"key": "email"
}
],
"message": "Operation successful",
"meta": {},
"success": true
}{
"data": {},
"errors": [
{
"condition": "format",
"error": "Invalid email format",
"key": "email"
}
],
"message": "Operation successful",
"meta": {},
"success": true
}{
"data": {},
"errors": [
{
"condition": "format",
"error": "Invalid email format",
"key": "email"
}
],
"message": "Operation successful",
"meta": {},
"success": true
}{
"data": {},
"errors": [
{
"condition": "format",
"error": "Invalid email format",
"key": "email"
}
],
"message": "Operation successful",
"meta": {},
"success": true
}Authorizations
JWT Bearer token or raw API key via Authorization header
Path Parameters
Template ID
⌘I
Render template preview

